lkml.org 
[lkml]   [2021]   [Dec]   [28]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [RFC 28/32] PCI: make quirk using inw() depend on HAS_IOPORT
On Tue, Dec 28, 2021 at 05:52:05PM +0100, Niklas Schnelle wrote:
> On Tue, 2021-12-28 at 10:35 -0600, Bjorn Helgaas wrote:
> > On Tue, Dec 28, 2021 at 04:25:25PM +0100, Niklas Schnelle wrote:
> > > On Mon, 2021-12-27 at 16:33 -0600, Bjorn Helgaas wrote:

> > > > BTW, git complains about some whitespace errors in other patches:
> > > >
> > > > Applying: char: impi, tpm: depend on HAS_IOPORT
> > > > .git/rebase-apply/patch:92: trailing whitespace.
> > > > If you have a TPM security chip from Atmel say Yes and it
> > > > .git/rebase-apply/patch:93: trailing whitespace.
> > > > will be accessible from within Linux. To compile this driver
> > > > warning: 2 lines add whitespace errors.
> > > > Applying: video: handle HAS_IOPORT dependencies
> > > > .git/rebase-apply/patch:23: trailing whitespace.
> > > >
> > > > warning: 1 line adds whitespace errors.
> > >
> > > ... But I just tried fetching the patches with b4 on top of
> > > v5.16-rc7 and the resulting tree passes "./scripts/checkpatch.pl
> > > --git v5.16-rc7..HEAD" and has an empty diff to my branch. What
> > > tool did you use to check?
> >
> > "git am" is what complained. Here's what I did:
> >
> > $ git checkout -b wip/niklas v5.16-rc1
>
> Ah this seems to be because my patches are against v5.16-rc7. I
> noted that in the cover letter but I guess that is easy to miss and
> might not match expectations.

I get the same complaints when applying to v5.16-rc7:

$ git checkout -b wip/niklas3 v5.16-rc7
$ b4 am -om/ 20211227164317.4146918-1-schnelle@linux.ibm.com
$ git am m/20211227_schnelle_kconfig_introduce_has_ioport_and_legacy_pci_options.mbx

\
 
 \ /
  Last update: 2021-12-28 18:29    [W:0.058 / U:22.764 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site